<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-8 col-xs-6" style="padding-right: 0px;">
        <h4 class="page-title">Gig Sub Category</h4>
      </div>
      <div class="col-sm-4 col-xs-6 text-right">
        <a class="btn btn-primary btn-sm Add_button_custom" style="color: white;" data-toggle="modal"
          data-target="#Add_Category" (click)="onAdd_subCategoryPop()"><i class="fa fa-plus"></i> Add Sub Category</a>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">
          <div class="row">
            <div class="col-md-12">
              <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse"
                    data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    <h4 class="panel-title">
                      <a>
                        <i class="more-less fa fa-plus"></i>
                        <span class="searchbar_text_padding_left"> Search
                        </span>
                      </a>
                    </h4>
                  </div>
                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                      <div class="row">
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Category Name</label>
                            <select class="form-control" [(ngModel)]="searchCategories.id">
                              <option value="0">Select from list</option>
                              <option *ngFor="let option of gigsCategory_list" value={{option.id}}>
                                {{option.category_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Sub Category Name</label>
                            <input type="text" class="form-control" placeholder="Sub Category Name"
                              [(ngModel)]="txt_searchSubcategory" (click)="onlyCharacters($event)">
                              <!-- <select class="form-control" [(ngModel)]="search_subCategories.id">
                                <option value="0">Select from list</option>
                                <option *ngFor="let option of searchsubCatgory_list" value={{option.id}}>
                                  {{option.sub_category_name}}
                                </option>
                              </select> -->
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Status</label>
                            <select class="form-control" [(ngModel)]="searchStatus.id">
                              <option value="2">Select Status</option>
                              <option value="1">Active</option>
                              <option value="0">Inactive</option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="">
                            <label class="search_label" style="width: 100%;">&nbsp;</label>
                            <button class="btn btn-primary search_btn_width" (click)="onSearchBtnClick()"><i
                                class="fa fa-search"></i> Search</button>
                          </div>
                        </div>
                        <!-- <div class="col-md-1 search_padding">
                          <div class="">
                            <label class="search_label">&nbsp;</label>
                            <button class="btn btn-primary clear_all_btn" style="position: relative;
                              top: 21px;right: 66px;" (click)="onClearAllClick()">Clear All</button>
                          </div>
                        </div> -->
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                                  <i class="glyphicon glyphicon-search"></i>
                                  <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                              </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="gigs_subCategoryGriddata" height="auto" [pageSize]="pageSize" [sort]="sort"
                  [skip]="state.skip" (sortChange)="sortGigs_subCategoryChange($event)" [filter]="state.filter"
                  [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                  (dataStateChange)="gigs_categoryDataStateChange($event)" (pageChange)="pageChange($event)">

                  <kendo-grid-column field="check_all" title="CHECK ALL" 
                    [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem" let-i="rowIndex">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div style="white-space: nowrap;">
                            <input class="styled-checkbox" id="{{'styled-checkbox-41'+i}}" type="checkbox"
                              [(ngModel)]="index.CHECKBOX">
                            <label for="{{'styled-checkbox-41'+i}}"></label>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
<!-- 
                  <kendo-grid-checkbox-column *ngIf="setting.fieldName =='CHECKBOX'" width="{{setting.width}}"
                    showSelectAll="true"
                    [headerStyle]="{'border-width': '0 0 0 1px !important', 'color': 'rgba(0,0,0,.08);', 'padding-left': '5px', 'padding-right': '1px', 'width': '20px' }"
                    [style]="{'border-width': '0 0 0 1px !important', 'color': 'rgba(0,0,0,.08);', 'padding': '4px', 'width': '20px', 'line-height': '1.3', 'height': '35px' }">

                    <ng-template kendoGridCellTemplate let-idx="dataItem">
                      <div class="checkbox-custom checkbox-custom-result checkbox-primary">
                        <input type="checkbox" [(ngModel)]="idx.CHECKBOX" id="inputChecked"
                          (change)="selectionChanged()" />
                        <label for="inputChecked"></label>
                      </div>
                    </ng-template>
                    <ng-template kendoGridHeaderTemplate>
                      <input class="k-checkbox" kendoGridSelectAllCheckbox [state]="selectAllState"
                        id="{{selectAllCheckboxId}}" (selectAllChange)="onSelectAllChange($event,setting.fieldName)">
                      <label class="k-checkbox-label" for="{{selectAllCheckboxId}}"></label>
                    </ng-template>
                  </kendo-grid-checkbox-column> -->

                  <kendo-grid-column field="subCategory_name" title="SUB CATEGORY NAME"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}" [style]="{'width':'160px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.sub_category_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="category_name" title="CATEGORY NAME"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}" [style]="{'width':'160px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.category.category_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="status" title="STATUS"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div *ngIf="index.is_active==true">
                            Active
                          </div>
                          <div *ngIf="index.is_active==false">
                            InActive
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="ACTION"
                    [headerStyle]="{'height':'40px','text-align':'right','width':'80px'}" [style]="{'width':'80px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-right noPadding_xs">
                          <div>
                            <a title="Edit" data-toggle="modal" data-target="#Add_Category" style="cursor: pointer;"
                              (click)="onUpdate_SubcategoryPencilBtn(index.id)"><i
                                class="fa fa-pencil edit_icon"></i></a>
                            <a title="Delete" data-toggle="modal" data-target="#delete_record" style="cursor: pointer;"
                              (click)="onDelete_singleSubcategory(index.id)"><i class="fa fa-trash delete_icon"></i></a>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <a href="#" class="btn btn-danger btn-sm delete_checked_row_btn" (click)="onDelete_multipleCheckbox()">Delete</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Add Category Modal Start -->
<div id="Add_Category" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Add / Edit Sub Category</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="pop_label">Category Name</label>
              <!-- <input type="text" class="form-control"  placeholder="Enter Category Name" > -->
              <select class="form-control" [(ngModel)]="getCategories.id" (change)="onCategoryChange()">
                <option value="0">Select from list</option>
                <option *ngFor="let option of gigsCategory_list" value={{option.id}}>
                  {{option.category_name}}
                </option>
              </select>
              <span class="error_msg" *ngIf="checkValidation && getCategories.id==0">
                Please Select Category
              </span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="pop_label">Sub Category Name</label>
              <input type="text" class="form-control" placeholder="Enter Sub Category Name" [(ngModel)]="subCategory"
                #txt_subCategory="ngModel" required maxlength="100">
              <span class="error_msg" *ngIf="checkValidation && txt_subCategory.errors?.required">
                Please Enter Sub Category Name
              </span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="pop_label">Tag Line</label>
              <input type="text" class="form-control" placeholder="Enter Tag Line" [(ngModel)]="tagLine" maxlength="200"
                #txt_tagLine="ngModel" required>
              <span class="error_msg" *ngIf="checkValidation && txt_tagLine.errors?.required">
                Please Enter Tag Line
              </span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="pop_label">Choose Image <span style="color:red;">(min size 550 x 738)</span></label>
              <div>

                <label class="newbtn subCategory_attchment" >
                  <!-- <img id="blah" src="http://placehold.it/550x738" > -->
                  <img id="blah" src={{subCategoryimage_dataSource}}>
                  <!-- <input id="pic" class='pis' onchange="readURL(this);" type="file" > -->
                  <input type="file" id="pic" name="buyer_profile_photo" #buyer_profile_photo
                            (change)="fileChangedPhoto($event)" class='pis'
                            ([ngModel])="subCategory_image" required
                            accept="image/jpeg image/bmp image/jpg image/png image/gif" />
              </label>
              <span class="error_msg" [style.display]="photoCopySpan" style="display: block;"
              *ngIf="checkValidation && !photoCopy &&subCategory_image!=null">
              Please add Profile picture
            </span>

              </div>
            </div>
          </div>
        </div>
        <div class="row" *ngIf="addClick==false">
          <div class="col-md-12">
            <div class="form-group">
              <label class="pop_label">Status</label>
              <select class="form-control" disabled="disabled" [(ngModel)]="status.id">
                <option value="2">Select Status</option>
                <option value="1">Active</option>
                <option value="0">Inactive</option>
              </select>
              <span class="error_msg" *ngIf="checkValidation && status.id==2">
                Please Select Status
              </span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-right">
            <a class="btn btn-success btn-sm custom_btn_css" (click)="onAdd_subCategory()" style="color: white;cursor: pointer;">Add</a>
            <a class="btn btn-secondary btn-sm custom_btn_css" data-dismiss="modal" style="margin-left:5px;cursor: pointer;" (click)="onCancel_addPop()">Cancel</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Add Category Modal End -->
<!-- Delete Modal Start -->
<!-- <div class="modal fade" id="delete_record" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
            <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-right">
            <a class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn"
              (click)="onDeletepopBtn()">Delete</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div> -->
<!-- Delete Modal End -->
      <!-- Delete Modal Start -->
      <div id="delete_record" class="modal fade" role="dialog">
        <div class="modal-dialog custom_modal_dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <div class="row">
                  <div class="col-md-12">
                      <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
                  </div>
              </div>
              <div class="row">
                  <div class="col-md-12 text-right">
                      <a  class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn" (click)="onDeletepopBtn()">Delete</a>
                  </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Delete Modal End -->